CVE-2019-11708

Published: 21 June 2019

Insufficient vetting of parameters passed with the Prompt:Open IPC message between child and parent processes can result in the non-sandboxed parent process opening web content chosen by a compromised child process. When combined with additional vulnerabilities this could result in executing arbitrary code on the user's computer. This vulnerability affects Firefox ESR < 60.7.2, Firefox < 67.0.4, and Thunderbird < 60.7.2.

Priority

High

CVSS 3 base score: 10.0

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
Upstream
Released (67.0.4)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (67.0.4+build1-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (67.0.4+build1-0ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

thunderbird
Launchpad, Ubuntu, Debian
Upstream
Released (60.7.2)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:60.7.2+build2-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1:60.7.2+build2-0ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist